package com.xintong.system.err;
import lombok.Data;
@Data
public class ErrorCode {
	private int code;
    private String desc;

    public ErrorCode(){}
    
    public ErrorCode(int code) {
        this.setCode(code);
        this.setDesc(ErrorCodeEnum.getPropByKey(code+""));
    }
    
    public ErrorCode(int code, String desc) {
        this.setCode(code);
        this.setDesc(ErrorCodeEnum.getPropByKey(code+"")+ ":" + desc);
    }
}
